Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.core.resources
Interface IWorkspaceDescription

public interface IWorkspaceDescription

A workspace description represents the workspace preferences. It can be used to query the current preferences and set new ones. The workspace preference values are stored in the preference store and are also accessible via the preference mechanism. Constants for the preference keys are found on the `ResourcesPlugin` class.

This interface is not intended to be implemented by clients.

See Also:
  `IWorkspace.getDescription()`, `IWorkspace.setDescription(IWorkspaceDescription)`

Method Summary
`String[]` | `getBuildOrder()` Returns the order in which projects in the workspace should be built.
`long` | `getFileStateLongevity()` Returns the maximum length of time, in milliseconds, a file state should be kept in the local history.
`int` | `getMaxBuildIterations()` Returns the maximum number of times that the workspace should rebuild when builders affect projects that have already been built.
`int` | `getMaxFileStates()` Returns the maximum number of states per file that can be stored in the local history.
`long` | `getMaxFileStateSize()` Returns the maximum permited size of a file, in bytes, to be stored in the local history.
`long` | `getSnapshotInterval()` Returns the interval between automatic workspace snapshots.
`boolean` | `isAutoBuilding()` Returns whether this workspace performs auto-builds.
`void` | `setAutoBuilding(boolean value)` Records whether this workspace performs auto-builds.
`void` | `setBuildOrder(String[] value)` Sets the order in which projects in the workspace should be built.
`void` | `setFileStateLongevity(long time)` Sets the maximum time, in milliseconds, a file state should be kept in the local history.
`void` | `setMaxBuildIterations(int number)` Sets the maximum number of times that the workspace should rebuild when builders affect projects that have already been built.
`void` | `setMaxFileStates(int number)` Sets the maximum number of states per file that can be stored in the local history.
`void` | `setMaxFileStateSize(long size)` Sets the maximum permited size of a file, in bytes, to be stored in the local history.
`void` | `setSnapshotInterval(long delay)` Sets the interval between automatic workspace snapshots.

Method Detail

### getBuildOrder

    public String[] getBuildOrder()

  Returns the order in which projects in the workspace should be built. The returned value is `null` if the workspace's default build order is being used.

  Returns:
    the names of projects in the order they will be built, or `null` if the default build order should be used
  See Also:
    `setBuildOrder(String[])`, `ResourcesPlugin.PREF_BUILD_ORDER`

### getFileStateLongevity

    public long getFileStateLongevity()

  Returns the maximum length of time, in milliseconds, a file state should be kept in the local history.

  Returns:
    the maximum time a file state should be kept in the local history represented in milliseconds
  See Also:
    `setFileStateLongevity(long)`, `ResourcesPlugin.PREF_FILE_STATE_LONGEVITY`

### getMaxBuildIterations

    public int getMaxBuildIterations()

  Returns the maximum number of times that the workspace should rebuild when builders affect projects that have already been built.

  Returns:
    the maximum number of times that the workspace should rebuild when builders affect projects that have already been built.
  Since:
    2.1
  See Also:
    `setMaxBuildIterations(int)`, `ResourcesPlugin.PREF_MAX_BUILD_ITERATIONS`

### getMaxFileStates

    public int getMaxFileStates()

  Returns the maximum number of states per file that can be stored in the local history.

  Returns:
    the maximum number of states per file that can be stored in the local history
  See Also:
    `setMaxFileStates(int)`, `ResourcesPlugin.PREF_MAX_FILE_STATES`

### getMaxFileStateSize

    public long getMaxFileStateSize()

  Returns the maximum permited size of a file, in bytes, to be stored in the local history.

  Returns:
    the maximum permited size of a file to be stored in the local history
  See Also:
    `setMaxFileStateSize(long)`, `ResourcesPlugin.PREF_MAX_FILE_STATE_SIZE`

### getSnapshotInterval

    public long getSnapshotInterval()

  Returns the interval between automatic workspace snapshots.

  Returns:
    the amount of time in milliseconds between automatic workspace snapshots
  Since:
    2.0
  See Also:
    `setSnapshotInterval(long)`, `ResourcesPlugin.PREF_SNAPSHOT_INTERVAL`

### isAutoBuilding

    public boolean isAutoBuilding()

  Returns whether this workspace performs auto-builds.

  Returns:
    `true` if auto-building is on, otherwise `false`
  See Also:
    `setAutoBuilding(boolean)`, `ResourcesPlugin.PREF_AUTO_BUILDING`

### setAutoBuilding

    public void setAutoBuilding(boolean value)

  Records whether this workspace performs auto-builds.

  When auto-build is on, any changes made to a project and its resources automatically triggers an incremental build of that project. If resources in several projects are changed within the scope of a workspace runnable, the affected projects are auto-built in no particular order.

  Users must call `IWorkspace.setDescription` before changes made to this description take effect.

  Parameters:
    `value` - `true` to turn on auto-building, and `false` to turn it off
  See Also:
    `IWorkspace.setDescription(IWorkspaceDescription)`, `isAutoBuilding()`, `ResourcesPlugin.PREF_AUTO_BUILDING`

### setBuildOrder

    public void setBuildOrder(String[] value)

  Sets the order in which projects in the workspace should be built. Projects not named in this list are built in a default order defined by the workspace. Set this value to `null` to use the default ordering for all projects. Projects not named in the list are built in unspecified order after all ordered projects.

  Users must call `IWorkspace.setDescription` before changes made to this description take effect.

  Parameters:
    `value` - the names of projects in the order in which they are built, or `null` to use the workspace's default order for all projects
  See Also:
    `IWorkspace.setDescription(IWorkspaceDescription)`, `getBuildOrder()`, `ResourcesPlugin.PREF_BUILD_ORDER`

### setFileStateLongevity

    public void setFileStateLongevity(long time)

  Sets the maximum time, in milliseconds, a file state should be kept in the local history.

  Users must call `IWorkspace.setDescription` before changes made to this description take effect.

  Parameters:
    `time` - the maximum number of milliseconds a file state should be kept in the local history
  See Also:
    `IWorkspace.setDescription(IWorkspaceDescription)`, `getFileStateLongevity()`, `ResourcesPlugin.PREF_FILE_STATE_LONGEVITY`

### setMaxBuildIterations

    public void setMaxBuildIterations(int number)

  Sets the maximum number of times that the workspace should rebuild when builders affect projects that have already been built.

  Users must call `IWorkspace.setDescription` before changes made to this description take effect.

  Parameters:
    `number` - the maximum number of times that the workspace should rebuild when builders affect projects that have already been built.
  Since:
    2.1
  See Also:
    `IWorkspace.setDescription(IWorkspaceDescription)`, `getMaxBuildIterations()`, `ResourcesPlugin.PREF_MAX_BUILD_ITERATIONS`

### setMaxFileStates

    public void setMaxFileStates(int number)

  Sets the maximum number of states per file that can be stored in the local history. If the maximum number is reached, older states are removed in favor of new ones.

  Users must call `IWorkspace.setDescription` before changes made to this description take effect.

  Parameters:
    `number` - the maximum number of states per file that can be stored in the local history
  See Also:
    `IWorkspace.setDescription(IWorkspaceDescription)`, `getMaxFileStates()`, `ResourcesPlugin.PREF_MAX_FILE_STATES`

### setMaxFileStateSize

    public void setMaxFileStateSize(long size)

  Sets the maximum permited size of a file, in bytes, to be stored in the local history.

  Users must call `IWorkspace.setDescription` before changes made to this description take effect.

  Parameters:
    `size` - the maximum permited size of a file to be stored in the local history
  See Also:
    `IWorkspace.setDescription(IWorkspaceDescription)`, `getMaxFileStateSize()`, `ResourcesPlugin.PREF_MAX_FILE_STATE_SIZE`

### setSnapshotInterval

    public void setSnapshotInterval(long delay)

  Sets the interval between automatic workspace snapshots. The new interval will only take effect after the next snapshot.

  Users must call `IWorkspace.setDescription` before changes made to this description take effect.

  Parameters:
    `delay` - the amount of time in milliseconds between automatic workspace snapshots
  Since:
    2.0
  See Also:
    `IWorkspace.setDescription(IWorkspaceDescription)`, `getSnapshotInterval()`, `ResourcesPlugin.PREF_SNAPSHOT_INTERVAL`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp. and others 2000, 2004. All rights reserved.